unit AboutForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ShellAPI;

type
  TfAbout = class(TForm)
    pnlPanel: TPanel;
    lblVersion: TLabel;
    lblPluginName: TLabel;
    memMemo: TMemo;
    btnOK: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fAbout: TfAbout;

procedure ShowInfoForm;

implementation

uses Globals;

{$R *.dfm}

procedure ShowInfoForm;
begin
  fAbout := TfAbout.Create(Application);
  try
    fAbout.ShowModal;
  finally
    fAbout.Free;
  end;
end;

procedure TfAbout.FormShow(Sender: TObject);
begin
  lblVersion.Caption := 'ver. ' + _VERSION;
  lblPluginName.Caption := _PLUGIN_NAME;
end;

procedure TfAbout.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = Chr(VK_ESCAPE) then
    Close;
end;

procedure TfAbout.btnOKClick(Sender: TObject);
begin
    Close;
end;

end.
